// source Ball de http://learningprocessing.com/examples/chp10/example-10-02-bouncing-balls
// et http://learningprocessing.com/examples/chp04/example-04-07-randompainting

// Example 10-2: Bouncing ball class

class Ball {

  // Variables.
  color c; 
  float r;   // radius
  float x, y; // location
  float xspeed, yspeed; // speed

    // Constructor
  Ball(float tempR) {
    c = color ( random(255), random(255), random(255), random(255) ) ;
    r = tempR;
    x = random(width);
    y = random(height);
    xspeed = random( - 5, 5); 
    yspeed = random( - 5, 5);
  }

  void move() {
    x += xspeed; // Increment x
    y += yspeed; // Increment y

    // Check horizontal edges 
    if (x > width || x < 0 ) {
      xspeed *= -1;
    }
    //Check vertical edges 
    if (y > height || y < 0) {
      yspeed *= -1;
    }
  }

  // Draw the ball
  void display() {
    // stroke(0);
    noStroke() ;
    // fill r g b a 
    fill( c );
    ellipse(x, y, r*2, r*2);
  }
  
}